'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = ErrorPage;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _TitleBar = require('../sections/TitleBar');

var _TitleBar2 = _interopRequireDefault(_TitleBar);

var _ErrorPage = require('../../../styles/cspace-ui/ErrorPage.css');

var _ErrorPage2 = _interopRequireDefault(_ErrorPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var messages = (0, _reactIntl.defineMessages)({
  notFound: {
    'id': 'errorPage.notFound',
    'defaultMessage': 'Not Found'
  },
  error: {
    'id': 'errorPage.error',
    'defaultMessage': 'Error code: {code}'
  },
  ERR_MISSING_VOCABULARY: {
    'id': 'errorPage.ERR_MISSING_VOCABULARY',
    'defaultMessage': 'A vocabulary must be specified for the authority record type "{recordType}".'
  },
  ERR_UNKNOWN_RECORD_TYPE: {
    'id': 'errorPage.ERR_UNKNOWN_RECORD_TYPE',
    'defaultMessage': 'There is no record type named "{recordType}".'
  },
  ERR_UNKNOWN_VOCABULARY: {
    'id': 'errorPage.ERR_UNKNOWN_VOCABULARY',
    'defaultMessage': 'There is no vocabulary named "{vocabulary}" for the record type "{recordType}".'
  },
  ERR_UNKNOWN_SUBRESOURCE: {
    'id': 'errorPage.ERR_UNKNOWN_SUBRESOURCE',
    'defaultMessage': 'There is no subresource named "{subresource}".'
  }
});

var propTypes = {
  error: _react.PropTypes.object
};

function ErrorPage(props) {
  var error = props.error;
  var code = error.code;

  var message = messages[code] || messages.error;

  return _react2.default.createElement(
    'div',
    { className: _ErrorPage2.default.common },
    _react2.default.createElement(_TitleBar2.default, { title: _react2.default.createElement(_reactIntl.FormattedMessage, messages.notFound) }),
    _react2.default.createElement(
      'p',
      null,
      _react2.default.createElement(_reactIntl.FormattedMessage, _extends({}, message, { values: error }))
    )
  );
}

ErrorPage.propTypes = propTypes;